
singleton Material(carlton_Black)
{
   mapTo = "Black";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   specular[0] = "0.544643 0.544643 0.544643 1";
   specularPower[0] = "51";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Light_Glass)
{
   mapTo = "Light_Glass";
   diffuseColor[0] = "0.59 0.61 0.52 0.6";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucent = "1";
};

singleton Material(carlton_Glass)
{
   mapTo = "Glass";
   diffuseColor[0] = "0.3 0.3 0.3 0.3";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucent = "1";
};

singleton Material(fullsize_glass_dmg)
{
   mapTo = "fullsize_glass_dmg";
   diffuseMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "0 0 0 0";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   doubleSided = "1";
};

singleton Material(carlton_Paint)
{
   mapTo = "Paint";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
   //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   diffuseColor[2] = "0.0 0.2 0.0 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   doubleSided = "1";
};

singleton Material(carlton_Steel)
{
   mapTo = "Steel";
   diffuseColor[0] = "0.08 0.08 0.08 1";
   specular[0] = "2 2 2 1";
   specularPower[0] = "120";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Plastic)
{
   mapTo = "Plastic";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Dark_Plastic)
{
   mapTo = "Dark_Plastic";
   diffuseColor[0] = "0.13 0.13 0.13 1";
   specular[0] = "0.0446429 0.0446429 0.0446429 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Aluminum)
{
   mapTo = "Aluminum";
   diffuseColor[0] = "0.5 0.5 0.5 1";
   specular[0] = "0.205263 0.205263 0.205263 1";
   specularPower[0] = "18";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_fullsize_interior)
{
   mapTo = "fullsize_interior";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Clear_Plastic)
{
   mapTo = "Clear_Plastic";
   diffuseColor[0] = "0.350834 0.349009 0.321156 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(carlton_Mesh)
{
   mapTo = "Mesh";
   diffuseColor[0] = "0 0 0 0.1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
   translucent = "1";
};
